Page MenuHomePhabricator

introduce __imlib_ShmDestroyXImage() instead of __imlib_ShmDetach()
ClosedPublic

Authored by avolkov on Feb 2 2018, 2:31 AM.

Details

Reviewers
kwo
Summary

It enhances the code, because imlib_ShmDestroyXImage() is symmetrical
to
imlib_ShmGetXImage(), while __imlib_ShmDetach() looks unrelated.

Diff Detail

Branch
ximage-shm-1
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 5722
Build 6358: arc lint + arc unit
avolkov requested review of this revision.Feb 2 2018, 2:31 AM
avolkov created this revision.
kwo added inline comments.Feb 3 2018, 12:06 AM
src/lib/ximage.c
196

Shouldn't this be kept in an else?

avolkov updated this revision to Diff 13804.Feb 5 2018, 4:33 AM

add XDestroyImage

kwo accepted this revision.Feb 5 2018, 7:00 AM

Looks good to me.

This revision is now accepted and ready to land.Feb 5 2018, 7:00 AM

Should I send you a patch?

kwo added a comment.Feb 5 2018, 9:55 AM

No, it's fine, I figured out to use arc.

kwo closed this revision.Mon, Sep 30, 10:30 AM